Make an agency or correspondent banking paymentAsk AIpost https://www.bankingcircleconnect.com/api/v1/payments/fi-to-fi-customer-credit-transfer-initiationBody ParamsPayment instructioninstrIdstring | nullAn identification, as assigned by an instructing party for an instructed party, to unambiguously identify the instruction. Condition: OptionalrequestedExecutionDatestringrequiredDate representation Format: ISO 8601 | YYYY-MM-DD Example: 2001-01-28debtorAccountobjectrequiredExternal Debtor Account that will be sent to the creditor.AccountIdentifier objectdebtorNamestring | nullLegal name of debtor Condition: Conditional * Mandatory if ultimateDebtorName is not provided * Optional if ultimateDebtorName is provideddebtorAddressPostalAddressUnstructuredA postal addressPostalAddressUnstructured objectdebtorCountrystring | nullCountry code of the debtor.ultimateDebtorNamestring | nullLegal name of ultimate debtor Condition: Conditional * Mandatory if debtorName is not provided * Optional if debtorName is providedultimateDebtorAddressPostalAddressUnstructuredA postal addressPostalAddressUnstructured objectultimateDebtorCountrystring | nullCountry code of the ultimate debtor.debtorAgentFinancialInstitutionstringrequiredFinancial Institution code (BIC) for the ordering clientdebtorAgentAccountstringrequiredAccount with Banking Circle on which the payments are settled.currencyOfTransferstring | nullCurrency of the amount that will be remitted to the creditor. If not provided, amount.Currency will be used as currencyOfTransfer.amountobjectrequiredAn amountAmount objectchargeBearerstringrequiredWho will be charged with the payment fee. Only supported value currently is "SHA" - Shared expense.remittanceInformationobjectInformation shared between debtor and creditor Unstructured free textRemittanceInformation objectcreditorIduuid | nullReference to a predefined creditor Condition: Conditional * Either creditorId is provided * Or creditorAccount, creditorName and creditorAddress properties are providedcreditorAccountobjectAccount of the creditor Condition: MandatoryAccountIdentifier objectcreditorNamestring | nullName of the creditor Condition: Conditional * Mandatory if payment targets institutions other than Banking Circle * Optional if payment target institution is Banking CirclecreditorAddressPostalAddressUnstructuredA postal addressPostalAddressUnstructured objectclearingNetworkstring | nullA clearing network a payment will be routed through. Example: * SEPAINST, SEPA, T2prioritizedClearingNetworksarray of strings | nullA prioritized list of clearing networks a payment shall be routed through. Possible values in this list: SEPAINST, SEPA, T2List`1ADD stringserviceLevelsarray of strings | nullA prioritized list of service levels indicating the urgency of the payment. Possible values in this list: * INST - Instant * URGP - Urgent * NURG - Not UrgentList`1ADD stringpurposeCodestring | nullUnderlying reason for the payment transactioncategoryPurposeCodestring | nullSpecifies the high-level purpose of the instruction based on a set of pre-defined categoriesfxQuoteIduuid | nullUnique identifier of the quote, previously retrieved through "fx/rates" endpoint. Optional field only used in case of FX RFQ flowHeadersX-Verification-NoncestringX-MessageReferencestringUnique reference of the HTTP request.If left blank this field will be populated with a GUID without dashes.This field is limited to a maximum of 35 characters, if not upheld the API will return with an error 400 - Bad Request.Example: 6198eb60-d1dd-4aad-9bbd-b01a49214e62Idempotency-KeystringUnique value generated by the user which the API uses to recognize subsequent retries of the same request.This field is limited to a maximum of 100 characters, if not upheld the API will return with an error 400 - Bad Request.Example: 2b7b05ad-4411-4a19-8c95-2508b17e0fd8Responses 201Created 400Bad request. Request is not correctly formulated. Goes for both Header, Query and Body. Verify the error description and properties. 403Forbidden. The server understood the request, but is refusing it or the access is not allowed, i.e. if resource exists but calling user does not have rights to access it. 404Not found. There is no resource behind the URL, i.e. requesting data on an account that does not exist. 409Conflict. Idempotency-key violation. Request being handled. 500Internal Server Error. Something unexpected happened on BC Connect side.Updated 16 days ago